--- title: "getDbServerLogList" slug: "database-vmysql-getdbserverloglist" tags: ["Cloud DB for MySQL"] updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-getdbserverloglist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getDbServerLogList Available in VPC Get the list of Cloud DB for MySQL instance DB server logs. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getDbServerLogList | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL instance whose DB server logs you want to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `logType` | String | Required | DB server log file type - `BINARY` \| `ERROR` \| `SLOW` \| `GENERAL` \| `AUDIT` - `BINARY`: log all data changes that occurred on the master server - `ERROR`: log errors encountered by DB server - `SLOW`: log queries that run for more than a set amount of time and related information - `GENERAL`: log all executed SQL queries and related information - `AUDIT`: log security-related events | | `cloudMysqlServerInstanceNo` | String | Required | Server instance number of Cloud DB for MySQL - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getDbServerLogList ?regionCode=KR &logType=BINARY &cloudMysqlServerInstanceNo=****891' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMysqlDbServerLogList](/docs/en/common-vapidatatype-cloudmysqldbserverloglist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getDbServerLogListResponse": { "totalRows": 1, "cloudMysqlDbServerLogList": [ { "fileName": "mysql-bin.000001", "fileSize": 28166, "fileDate": "2024-05-24T10:43:27+0900" } ], "requestId": "457ff64a-****-****-****-ff1954052ce3", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 457ff64a-****-****-****-ff1954052ce3 0 success 1 mysql-bin.000001 28166 2024-05-24T10:43:27+0900 ```